Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Interface ConnectionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  ConnectionAdapter

    public interface ConnectionListener

extends EventListener

This is the Listener interface for Connection events.

Method Summary
`void` | `closed(ConnectionEvent e)` Invoked when a Store/Folder/Transport is closed.
`void` | `disconnected(ConnectionEvent e)` Invoked when a Store is disconnected.
`void` | `opened(ConnectionEvent e)` Invoked when a Store/Folder/Transport is opened.

Method Detail

### opened

    void opened(ConnectionEvent e)

  Invoked when a Store/Folder/Transport is opened.

### disconnected

    void disconnected(ConnectionEvent e)

  Invoked when a Store is disconnected. Note that a folder cannot be disconnected, so a folder will not fire this event

### closed

    void closed(ConnectionEvent e)

  Invoked when a Store/Folder/Transport is closed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.